Skip to main content
POST
Builder order updates

Authorizations

Authorization
string
header
required

Your Hypedexer API key, sent as Authorization: Bearer <key>. The X-API-Key: <key> header and the api_key query parameter are accepted as well.

Body

application/json
type
enum<string>
required
Available options:
builderOrderUpdates
builder
string
required

Builder address (0x-prefixed, case-insensitive)

startTime
integer
required

Inclusive lower bound on statusTimestamp, epoch milliseconds

endTime
integer

Inclusive upper bound on statusTimestamp, epoch milliseconds. Default: now

limit
integer
default:2000

Statuses per page

Required range: 1 <= x <= 5000
cursor
string

The X-Next-Cursor header of the previous page

Response

Order updates in time order

order
object
status
string

Status at that time: open, triggered, filled, canceled, reduceOnlyCanceled, badAloPxRejected, ...

statusTimestamp
integer

Block time of the status (or of the fill, for a partial fill), ms

user
string

Wallet that placed the order

builder
object
fills
object[]